# Bank Information Lookup API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/account-validation-apis/bank-information-lookup/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/partners/{partner_id}/crossborder/banks/details
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/partners/NewPartnerQC/crossborder/banks/details
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/partners/NewPartnerQC/crossborder/banks/details
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/banks/details
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/banks/details
```

```Production
https://api.mastercard.com/send/partners/{partner_id}/crossborder/banks/details
```

```Production-EU
https://api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/banks/details
```

```Production-UK
https://api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/banks/details
```

## API Specification {#api-specification}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

### Bank Information LookUp API {#bank-information-lookup-api}

<br />

The Bank Information Lookup API is a feature within Account Validation services which allows customers to retrieve specific details of beneficiary bank which can be used for payment transaction.

Customers deciding to code to this API can use bank-related details such as bank name, bank address and bank code to obtain full bank identifying information for a specific branch within a desired country.

API Reference: `GET /send/partners/{partner_id}/crossborder/banks/details`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :
  * `content-type` : Format of the inbound content to be submitted. Example: application/json
  * `accept`: Format of the inbound content to be submitted. Example: application/json
  * `X-Mc-Correlation-Id` : A unique correlation ID for tracking the request.
  * `Partner-Ref-Id` : A unique reference ID of the business partner.

## API Convention {#api-convention}

Refer the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All payload request sent to and from Cross-Border Services are encrypted.   

For more detailed information on payload **Encryption/Decryption** , see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Bank Information Lookup API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/account-validation-apis/bank-information-lookup-api/index.md) to test the Bank Information Lookup API in the Sandbox environment.
